## opencu 3

=== CMakeLists.txt ===
# Copyright (c) 2022 Tobias Heider <tobhe@openbsd.org>
#
# Permission to use, copy, modify, and distribute this software for any
# purpose with or without fee is hereby granted, provided that the above
# copyright notice and this permission notice appear in all copies.
#
# THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
# WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
# ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
# ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
# OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.

cmake_minimum_required(VERSION 3.12)

include(CheckFunctionExists)
include(CheckIncludeFiles)

project(cu)

add_definitions(-D_GNU_SOURCE)

check_function_exists(closefrom HAVE_CLOSEFROM)
if(HAVE_CLOSEFROM)
	add_definitions(-DHAVE_CLOSEFROM)
endif()
check_include_files("linux/close_range.h" HAVE_LINUX_CLOSE_RANGE_H)
if(HAVE_LINUX_CLOSE_RANGE_H)
	add_definitions(-DHAVE_LINUX_CLOSE_RANGE_H)
endif()
check_function_exists(close_range HAVE_CLOSE_RANGE)
if(HAVE_CLOSE_RANGE)
	add_definitions(-DHAVE_CLOSE_RANGE)
endif()

set(CFLAGS)
list(APPEND CFLAGS
	-O2
	-Wall
	-Wno-pointer-sign
	-Wno-deprecated-declarations
	-Wstrict-prototypes
	-Wmissing-prototypes
	-Wmissing-declarations
	-Wshadow
	-Wpointer-arith
	-Wcast-qual
	-Wsign-compare
	"$<$<CONFIG:DEBUG>:-O0;-g>"
)

add_executable(cu
	command.c
	cu.c
	error.c
	input.c
	xmodem.c
	compat/closefrom.c
	compat/strtonum.c
	compat/vis.c
)

target_compile_options(cu PRIVATE ${CFLAGS})
target_link_libraries(cu event)
target_include_directories(cu PUBLIC
	compat
)

install(TARGETS cu RUNTIME DESTINATION bin)
set (CMAKE_INSTALL_MANDIR /usr/share/man)
install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/cu.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1/)

=== Makefile ===
# $OpenBSD: Makefile,v 1.3 2012/07/10 11:42:02 nicm Exp $

PROG=	cu
SRCS=	cu.c command.c error.c input.c xmodem.c

CDIAGFLAGS+= -Wall -W -Wno-unused-parameter

LDADD=  -levent
DPADD=  ${LIBEVENT}

.include <bsd.prog.mk>

=== debian/changelog ===
opencu (3-3build4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:06:57 +1100

opencu (3-3build3) noble; urgency=medium

  * No-change rebuild against libevent-2.1-7t64

 -- Simon Chopin <schopin@ubuntu.com>  Fri, 29 Mar 2024 17:28:26 +0100

opencu (3-3build2) mantic; urgency=medium

  * No-change rebuild against libevent-2.1-7

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 19 Sep 2023 19:20:19 +0000

opencu (3-3build1) kinetic; urgency=medium

  * No-change rebuild against libevent-2.1-7a (LP: #1990941)

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 07 Oct 2022 19:54:03 +0200

opencu (3-3) unstable; urgency=medium

  * Add Breaks + Replaces cu (Closes: #1011420).

 -- Tobias Heider <me@tobhe.de>  Mon, 23 May 2022 21:37:14 +0200

opencu (3-2) unstable; urgency=medium

  * Update vcs link to https://salsa.debian.org/debian/opencu

 -- Tobias Heider <me@tobhe.de>  Wed, 06 Apr 2022 21:00:06 +0200

opencu (3-1) unstable; urgency=medium

  * Initial release (Closes: #1008683).

 -- Tobias Heider <me@tobhe.de>  Mon, 28 Mar 2022 16:37:03 +0200

=== debian/control ===
Source: opencu
Section: misc
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Tobias Heider <me@tobhe.de>
Build-Depends: cmake, debhelper-compat (= 13), libevent-dev
Standards-Version: 4.6.0
Homepage: https://github.com/tobhe/opencu
Vcs-Browser: https://salsa.debian.org/debian/opencu
Vcs-Git: https://salsa.debian.org/debian/opencu.git -b debian/unstable
Rules-Requires-Root: no

Package: opencu
Architecture: any
Breaks: cu
Replaces: cu
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Serial terminal emulator
 cu is used to connect to another system over a serial link.  In the era
 before modern networks, it was typically used to connect to a modem in
 order to dial in to a remote host.  It is now frequently used for tasks
 such as attaching to the serial console of another machine for
 administrative or debugging purposes.

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/opencu-$1\.tar\.gz/ \
  https://github.com/tobhe/opencu/releases .*\/v?(\d\S*)\.tar\.gz
